/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.config.dataspec;

import org.stormcat.jvbeans.config.RecordTypeId;
import org.stormcat.jvbeans.config.condition.RealTimeOpenCondition;
import org.stormcat.jvbeans.dto.Odds1Dto;
import org.stormcat.jvbeans.dto.Odds2Dto;
import org.stormcat.jvbeans.dto.Odds3Dto;
import org.stormcat.jvbeans.dto.Odds4Dto;
import org.stormcat.jvbeans.dto.Odds5Dto;
import org.stormcat.jvbeans.dto.Odds6Dto;


/**
 * @author a.yamada
 *
 */
public enum _0b30 implements org.stormcat.jvbeans.config.dataspec.RealTimeDataSpec {

    INSTANCE;

    public RealTimeOpenCondition<Odds1Dto> _O1() {
        return new RealTimeOpenCondition<Odds1Dto>(this, RecordTypeId.O1, Odds1Dto.class);
    }
    
    public RealTimeOpenCondition<Odds2Dto> _O2() {
        return new RealTimeOpenCondition<Odds2Dto>(this, RecordTypeId.O2, Odds2Dto.class);
    }
    
    public RealTimeOpenCondition<Odds3Dto> _O3() {
        return new RealTimeOpenCondition<Odds3Dto>(this, RecordTypeId.O3, Odds3Dto.class);
    }
    
    public RealTimeOpenCondition<Odds4Dto> _O4() {
        return new RealTimeOpenCondition<Odds4Dto>(this, RecordTypeId.O4, Odds4Dto.class);
    }
    
    public RealTimeOpenCondition<Odds5Dto> _O5() {
        return new RealTimeOpenCondition<Odds5Dto>(this, RecordTypeId.O5, Odds5Dto.class);
    }
    
    public RealTimeOpenCondition<Odds6Dto> _O6() {
        return new RealTimeOpenCondition<Odds6Dto>(this, RecordTypeId.O6, Odds6Dto.class);
    }

    /**
     * {@inheritDoc}
     */
    public String getName() {
        return "速報オッズ(全賭式)";
    }

    /**
     * {@inheritDoc}
     */
    public String getValue() {
        return "0B30";
    }
    
}
